<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Data Profile</title>
    <style type="text/css">
        .card{
            background-color: #ffffff;
            padding: 0px;
            border-radius: 10px;

        }
        .card-content{
            background-color: #f49c6c;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
            padding: 12px;
            text-align: center;
        }

        .card-body{
            padding: 15px;
        }

        .txt-profile{
            font-family: 'DejaVu Sans', Arial, Helvetica, sans-serif;
            color: white;
        }

        .card-body-content{
            text-align: center;
            padding: 5px;
        }

        .bt-edit{
            width: 220px;
            background-color: #f49c6c;
            border: 2px solid white;
            color: white;
            border-radius: 15px;
            padding: 5px;
            font-family: 'DejaVu Sans', Arial, Helvetica, sans-serif;
            font-size: 12px;
        }

        .txt-title{
            color: #292928;
        }
        .txt-warning{
            color: red;
            font-size: 10px;
        }
        .ohide {
            display: none;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>Pembayaran Tagihan Mahasiswa</h2>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">
                                    <a th:href="@{/studentBill/bill/list}">
                                        <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i> Back</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
        <div class="container">
            <div class="row">
                <div class="ongoing-task-inner notika-shadow mg-t-30">



                    <div class="skill-content-3 ongoing-tsk">
                        <div class="normal-table-list">
                            <div class="basic-tb-hd">
                                <h2>Detail Tagihan</h2>
                            </div>
                            <div class="bsc-tbl-st">
                                <div class="row">
                                    <div class="col-sm-7">
                                        <address>
                                            <table>
                                                <tr style="font-weight: bold;">
                                                    <td width="130px">Nomor Tagihan</td>
                                                    <td width="8px"> : </td>
                                                    <td th:text="${tagihan.nomor}"></td>
                                                </tr>
                                                <tr>
                                                    <td>Nama</td>
                                                    <td> : </td>
                                                    <td th:text="${tagihan.mahasiswa.nama}"></td>
                                                </tr>
                                                <tr>
                                                    <td>Jenis Tagihan</td>
                                                    <td> : </td>
                                                    <td th:text="${tagihan.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                                                </tr>
                                                <tr>
                                                    <td>Nilai Tagihan</td>
                                                    <td> : </td>
                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                </tr>
                                                <tr th:if="${pembayaran != null}">
                                                    <td>Pembayaran</td>
                                                    <td> : </td>
                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.akumulasiPembayaran, 0, 'POINT', 2, 'COMMA')}"></td>
                                                </tr>
                                                <tr>
                                                    <td>Tanggal Pembuatan</td>
                                                    <td> : </td>
                                                    <td th:text="${#temporals.format(tagihan.tanggalPembuatan, 'dd - MMM - yyy')}"></td>
                                                </tr>
                                                <tr th:if="${cicilan} != null">
                                                    <td>Status Cicilan</td>
                                                    <td> : </td>
                                                    <td th:text="${cicilan.statusApprove}"></td>
                                                </tr>
                                                <tr th:if="${penangguhan} != null">
                                                    <td>Status Penangguhan</td>
                                                    <td> : </td>
                                                    <td th:text="${penangguhan.statusApprove}"></td>
                                                </tr>
                                                <tr th:if="${tagihan.status.NONAKTIF} == ${tagihan.status}">
                                                    <td>Status Tagihan</td>
                                                    <td> : </td>
                                                    <td th:text="${tagihan.status}"></td>
                                                </tr>
                                            </table>
                                        </address>
                                    </div>
                                    <div class="col-sm-5">
                                        <div th:if="${tagihan.lunas} == true" style="width: 200px; height: 75px; border: 8px solid #195e83; text-align: center; padding-top: 13px;">
                                            <h1>Lunas</h1>
                                        </div>
                                        <div th:if="${tagihan.lunas} == false"  style="width: 200px; height: 60px; border: 8px solid #195e83; text-align: center; padding-top: 7px;">
                                            <h3>Belum Lunas</h3>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" th:if="${tagihan} != null">
                                    <div class="col-sm-7">
                                        <h4 th:if="${lunas} == null">Nomor Virtual Account</h4>
                                        <small th:if="${lunas} == null">*Pilih Salah Satu</small>
                                        <div class="table-responsive">
                                            <table class="table">
                                                <tbody>
<!--                                                th:if="${lunas == null && pembayaran == null}"-->
                                                <div >
                                                    <tr th:each="va, row:${virtualAccount}">
                                                        <td th:text="${(row.index + 1)}">#</td>
                                                        <td th:text="${'Virtual Account '+va[1]}">Virtual Account CIMB Syariah</td>
                                                        <th th:text="${va[2]}">20191000010020167</th>
                                                    </tr>
                                                </div>
                                                <div th:if="${lunas != null && pembayaran != null}">
                                                    <div th:if="${cekJumlahPembayaran == 1}">
                                                        <tr th:if="${pembayaran} != null and ${pembayaran.bank} == ${va.bank}" th:each="va, row : ${va}">
                                                            <td th:text="${'Virtual Account '+va.bank.nama}" th:if="${pembayaran.bank} == ${va.bank}">Virtual Account CIMB Syariah</td>
                                                            <th th:text="${va.nomor}" th:if="${pembayaran.bank} == ${va.bank}">20191000010020167</th>
                                                        </tr>
                                                    </div>
                                                </div>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <br>

                                <div class="row no-print" th:if="${lunas} == null">
                                    <div th:if="${cekCicilan == null}">
                                        <div th:if="${tagihan.status.AKTIF} == ${tagihan.status}">
                                            <div class="col-xs-12" th:if="${tagihan} != null">
                                                <a target="_blank" th:href="@{/panduanPembayaran}" class="btn btn-success">Panduan Pembayaran</a>
                                                <text th:if="${penangguhan == null}">
                                                    <text th:if="${cekPeringanan == null}">
                                                        <a class="btn btn-primary" th:href="@{/studentBill/requestPenangguhan/date(id = ${tagihan.id})}">Pengajuan Penangguhan</a>
                                                        <a class="btn btn-primary" th:href="@{/studentBill/requestCicilan/angsuran(id = ${tagihan.id})}">Pengajuan Cicilan</a>
                                                        <text th:if="${peringanan != null}">
                                                            <a class="btn btn-primary" th:href="@{/studentBill/requestPeringanan/pengajuan(id = ${tagihan.id})}">Pengajuan Keringanan</a>
                                                        </text>
                                                    </text>
                                                </text>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row no-print" th:if="${lunas == null}">
                                    <div th:if="${cekCicilan != null}">
                                        <div class="col-xs-12" th:if="${tagihan} != null">
                                            <a th:href="@{/panduanPembayaran}" class="btn btn-success">Panduan Pembayaran</a>
                                            <text>
                                                <a class="btn btn-primary" th:href="@{/studentBill/requestCicilan/detail(tagihan = ${tagihan.id})}">Detail Pembayaran</a>
<!--                                                <a th:if="${cekJumlahCicilan != 1}" class="btn btn-info" th:href="@{/studentBill/requestCicilan/pelunasan(tagihan=${tagihan.id})}">Ajukan Pelunasan</a>-->
                                            </text>
                                        </div>
                                    </div>
                                </div>

                                <div th:if="${lunas != null}">
                                    <div th:if="${cekJumlahPembayaran == 1}">
                                        <div class="row no-print" th:if="${pembayaran} != null">
                                            <div class="col-xs-12" th:if="${tagihan} != null">
                                                <a th:href="@{/buktiPembayaran(pembayaran=${pembayaran.id})}" class="btn btn-success">Cetak Kwitansi &nbsp;<i class="fa fa-download"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>